| Qore MysqlSqlUtil Module Reference 1.4.2

Protected Member Functions | Private Member Functions | List of all members
MysqlSqlUtil::MysqlNumericColumn Class Reference

represents a MySQL-specific numeric column More...

Inheritance diagram for MysqlSqlUtil::MysqlNumericColumn:
[legend]

## Protected Member Functions
bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not
Protected Member Functions inherited from MysqlSqlUtil::MysqlColumn
| constructor ()
| empty constructor for subclasses
bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not

## Private Member Functions
| deserializeMembers (hash< auto > members)
| deserializes the hash to a replica of the original object

## Additional Inherited Members
Public Member Functions inherited from MysqlSqlUtil::MysqlColumn
softlist | getAddColumnSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table More...
string | getCreateSql (AbstractTable t)
| returns an sql string that can be used to add the column to a table
string | getDdlName (string name)
| returns the column name with quoting in case the column name is a reserved word More...
softlist | getModifySqlImpl (AbstractTable t, AbstractColumn col, *hash opt)
| returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned More...
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column More...
Public Attributes inherited from MysqlSqlUtil::MysqlColumn
int | byte_size
| byte size of the column

## Detailed Description

represents a MySQL-specific numeric column